/* Animation */
.slide-in {
  opacity: 0;
  transform: translateY(50px);
  transition: all 0.6s ease-out;
}

.slide-in.visible {
  opacity: 1;
  transform: translateY(0);
}

.form-container {
  border-radius: 16px;
  border: 2px solid #e1e1e1;
  box-shadow: 0 27px 30px rgb(0 0 0 / 10%);
  padding: 20px;
}


  h3 {
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
    text-align: center;
  }

  .input-group {
    position: relative;
    margin-bottom: 1.5rem;
  }

  .input-group input {
    width: 100%;
    padding: 0.5rem 0rem;
    border: 1px solid #ccc;
    border-radius: 8px;
    outline: none;
    font-size: 1rem;
    background: transparent;
    transition: border 0.3s;
}

  .input-group label {
    position: absolute;
    top: 50%;
    left: 0.75rem;
    transform: translateY(-50%);
    background: #fff;
    padding: 0 0.25rem;
    color: #aaa;
    pointer-events: none;
    transition: 0.2s ease all;
  }

  .input-group input:focus {
    border-color: #007bff;
    padding-left: 12px;
  }

  .input-group input:focus + label,
  .input-group input:not(:placeholder-shown) + label {
    top: 0;
    font-size: 0.75rem;
    color: #007bff;
  }

  button {
    width: 100%;
    padding: 0.75rem;
    font-size: 1rem;
    color: white;
    background: linear-gradient(135deg, #007bff, #0056b3);
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.3s ease;
  }

  button:hover {
    background: linear-gradient(135deg, #0056b3, #003d80);
  }
  textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-family: inherit;
    resize: vertical;
  }
  textarea:focus{
    border: blue;
  }

  .input-group-row {
    display: flex;
    justify-content: space-between;
    gap: 20px; /* Space between inputs */
 }
 
 .input-group {
    flex: 1; /* Equal width for both inputs */
    position: relative;
 }
 
 .input-group input {
    width: 100%; /* Ensure input takes full width of the container */
 }
 
 .input-group label {
    position: absolute;
    top: -15px; /* Adjust label positioning */
    left: 10px;
    font-size: 14px;
    color: #333;
 }
 